/*
 * 1.1 version.
 */

import java.awt.*;
import java.applet.*;
import java.net.URL;

class ScrollableCanvas extends Canvas {
    Image image;
    public String imageFile = "people.gif";
    Dimension preferredSize = new Dimension(600, 320);
    Dimension minimumSize = new Dimension(10, 10);

    public void setImage(Image img) {
	image = img;
    }

    public Dimension getMinimumSize() {
        return minimumSize;
    }

    public Dimension getPreferredSize() {
	/*
	 * If we didn't hard code the preferred size,
	 * then we'd have to inform the scrollpane
	 * when we got the real size data.
	 */
        return preferredSize;
    }

    public void paint(Graphics g) {
        g.drawImage(image, 0, 0, getBackground(), this);
    }
}

public class ImageScroller extends Applet {
    public void init() {
        ScrollableCanvas canvas = new ScrollableCanvas();
        canvas.setImage(getImage(getCodeBase(), 
		                 canvas.imageFile));

	setLayout(new BorderLayout());
	ScrollPane pane = new ScrollPane();
	pane.add(canvas);
        add("Center", pane);
    }
}
